package core

import scala.actors.Actor

class Counter extends Actor {
  
  val line = new Line()
  line.start()
  
  def act() = {
    line ! NextPlease
    while (true) {
      receive {
        case ImHere => sender ! GiveMeYourItems
        case Items(items) => 
          sender ! Price((for (i<-items) yield Supermarket.getPrice(i).price) sum)
        case Money(m) => {
          Supermarket.book(m)
          sender ! GoodBye
          Thread.sleep(200)
          line ! NextPlease
        }
        case Close => {
          line ! Close
          exit()
        }
      }
    }
  }

}